Overview
GET
/oauth/clientsoauthList OAuth clients (admin)
List clients.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
OAuth clients
- idstring
- slugstring
- namestring
- allowedReturnOriginsstring[]
- defaultEcosystemIdoptionalstring?
- isInternalboolean
- appTokenPrefixoptionalstring?
Example
[
{
"id": "string",
"slug": "string",
"name": "string",
"allowedReturnOrigins": [
"string"
],
"defaultEcosystemId": "string",
"isInternal": true,
"appTokenPrefix": "string"
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/oauth/clients" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/oauth/clients", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();